./devel/atkmm, C++ bindings for atk

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 2.24.2nb3, Package name: atkmm-2.24.2nb3, Maintainer: pkgsrc-users

C++ bindings for atk


Required to run:
[devel/atk] [devel/glibmm] [lang/gcc47-libs]

Required to build:
[lang/gcc47]

Master sites: (Expand)

SHA1: e18e2145622d1ae9b32d0425aec1b4b74aeb1336
RMD160: 1659add6db907c53827334848ec4679dca9d6da7
Filesize: 829.867 KB

Version history: (Expand)


CVS history: (Expand)


   2016-07-09 08:39:18 by Thomas Klausner | Files touched by this commit (1068) | Package updated
Log message:
Bump PKGREVISION for perl-5.24.0 for everything mentioning perl.
   2016-04-21 11:12:27 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
Extract using bsdtar so file names are not cut, and all files are installed.

Bump PKGREVISION.
   2016-04-13 12:10:25 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
Fix PLIST for update. Bump PKGREVISION.
   2016-04-12 23:31:08 by Adam Ciarcinski | Files touched by this commit (3)
Log message:
atkmm 2.24.2 (stable):
* Regenerate with the latest glibmm.
   2015-11-03 04:29:40 by Alistair G. Crooks | Files touched by this commit (1995)
Log message:
Add SHA512 digests for distfiles for devel category

Issues found with existing distfiles:
	distfiles/eclipse-sourceBuild-srcIncluded-3.0.1.zip
	distfiles/fortran-utils-1.1.tar.gz
	distfiles/ivykis-0.39.tar.gz
	distfiles/enum-1.11.tar.gz
	distfiles/pvs-3.2-libraries.tgz
	distfiles/pvs-3.2-linux.tgz
	distfiles/pvs-3.2-solaris.tgz
	distfiles/pvs-3.2-system.tgz
No changes made to these distinfo files.

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2015-10-15 16:19:55 by Tobias Nygren | Files touched by this commit (5)
Log message:
Add -std=c++11 to CXXFLAGS to fix some high value packages, pending
tech-pkg@ discussion on how to better declare need for C++11.

This is necessary due to libsigc++ headers and will probably be
required for everything that depends on gtkmm{,3}.
(there are ~25 or so such packages in pkgsrc the I have not yet tested)
   2015-06-12 12:52:19 by Thomas Klausner | Files touched by this commit (3152)
Log message:
Recursive PKGREVISION bump for all packages mentioning 'perl',
having a PKGNAME of p5-*, or depending such a package,
for perl-5.22.0.
   2014-05-30 01:38:20 by Thomas Klausner | Files touched by this commit (3049)
Log message:
Bump for perl-5.20.0.
Do it for all packages that
* mention perl, or
* have a directory name starting with p5-*, or
* depend on a package starting with p5-
like last time, for 5.18, where this didn't lead to complaints.
Let me know if you have any this time.